> ## Documentation Index
> Fetch the complete documentation index at: https://docs-en.keysecure.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List of Supported Coins

> Get a list of the coins of the merchant

`GET /api/v2/user/getCoinList`

#### Decrypted Request Parameters

**time** `long` *required*

current timestamp

**charset** `string` *required*

encoding format, no special case, pass parameter UTF-8

**version** `string` *required*

interface version number, no special case, pass parameter v2

#### Response Data Parameters

**object**

**symbol** `string`

coin(Be sure to use the value returned by this field when calling the interface to withdraw coins, and any query interface)

**icon** `string`

coin icon

**real\_symbol** `string`

Crypto coin (coin) on-chain names

**decimals** `string`

Decimals

**name** `string`

Full name of coin

**base\_symbol** `string`

Main Chain Coin Name

**contract\_address** `string`

Contract Address

**deposit\_confirmation** `string`

Deposit Received

**withdraw\_confirmation** `string`

Withdrawal Available

**explorer** `string`

Explorer

**address\_regex** `string`

Address regex

**address\_tag\_regex** `string`

Address tag regex

**support\_memo** `string`

Whether memo is supported, 0 not supported 1 supported

**support\_token** `string`

Whether to support token coins, 0 does not support 1 supports, only main chain coins have value, tokens are empty

**address\_link** `string`

Prefix for the block explorer address query link.

**txid\_link** `string`

Prefix for the block explorer address query link.

**merge\_address\_symbol** `string`

Merged address main chain coin, Unique identifier for the coin

**margin\_symbol** `string`

Is it a margin coin

```curl cURL theme={null}
curl -X GET \
--url 'https://openapi.keysecure.io/
api/v2/user/getCoinList?app_id=16a9f17fc2ad61ca4339fdd6a8a37f21&data=SWYYr-LBVAmaS0eq8n-CUT_nHkM3OBxyWOsImMTe41UaqAoYI2ZghmaphXHov-7hsRsVmOhyPqC-JFuRGvonJKFd2Jirxv6Vn_8V40r_MMYTkhqcviQbZWYW5xX8Ai8CIpqas9fIWVDIYA_NKBl0UCJpwGxscxLNpjq5Z8-BTyIYDsVBquM9zEQGBCfcA7szD9n2fN_loSkoexlwqV8wg9HIZO5yQ6utZ_Kt0lNDQQb8zn8BwfAvsEsbJlOINUAqhxh1vV_AJ4bXn2uYx8TaYcBht-n_ZcBdxIDt975dbOFUiH-oCzIuDi1oLDtb4EylfCvhU5E4ozel_lQ-6cyIG0Dqiiyx0RFFOCJzPSXIoV031pvoa8pTCpkWklh8mRw1rylBgeZtqSxpnJO2_u2RIlXq6Hs8Yly9CmhIXaSrUgPir0h6xVxlf4VC6PFVCkiiTlp0kZ_H_UbKm0nUis3v3U2sflWJ2C449waSrikhuxVrFAQ6PQmrFVCAE6MYXNrFXJQuam2HAIQNSGbFQjspw8b_bXyfyZMGZ3K2oBC4I_v3eETTdPe0pfSNJb-5g37K0tOAr_UFbWK8pkC8yl56fSjn8tcR3yCRWwoi8jxTcUBiswTtvXZtzgG4dyzkaHXjsZjSGiywXSqP76VZWlyOmAx6IDSViLcPLPISdU3ruCI'
```

```json theme={null}
{
  "code":"0",
  "data":[
      {
          "symbol":"BTC",
          "icon":"http://Keysecure -oss.oss-cn-beijing.aliyuncs.com/saas/1565681771193.png",
          "real_symbol":"BTC",
          "decimals":"8",
          "name":"Bitcoin",
          "base_symbol":"BTC",
          "contract_address":"",
          "deposit_confirmation":"2",
          "explorer":"https://btc.com/",
          "address_regex":"^(1|3)[a-zA-Z0-9]{24,36}$",
          "address_tag_regex":"",
          "support_memo":"0",
          "support_token":"0"
      }
   ]
 }
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.